#include <iostream>
#include <iomanip>
#include "client.h"

using namespace std;

Client::Client(const std::string& name,
					 		 const std::string& surname,
					 		 const std::string& id)
{
	this->id = id;
	this->name = name;
	this->surname = surname;
}
					 	
Client::Client(/*string& id, */istream& is, const string& id)
{
	this->id = id;
	//if (!getline(is, name, '|').eof())
	if (!getline(is, name, '|').eof())
		{
			//getline(is, name, '|');
			is >> surname;	
			string dummy;
			getline(is, dummy);
		}
}

void Client::save(ostream& os)
{
	os << id << "|" << name << "|" << surname << endl;
}

void Client::print(const string& space) const
{
	cout << space << setw(14) << surname 
			 					<< setw(12) << name 
			 					<< setw(11) << id 
			 					<< endl;
}

void Client::addRent(Rent* rent)
{
	rents.push_back(rent);
}

void Client::removeRent(Rent* rent)
{
	for (int i=0; i<rents.size(); i++)
      if (rents[i] == rent)
      {
          rents.erase(rents.begin()+i);
          break;
      }
}

double Client::getValue() const
{
	double value=0;
	for(int i=0;i<rents.size();i++)
	value+=rents[i]->getPrice();
	return value;
}
